import java.util.*;
import java.lang.*;
 
/*
 * Bartosz "WiedMAC" Bednarczyk
 * Liceum Oglnoksztacce im. Wadysawa Broniewskiego w Strzelcach Opolskich
 * Iteracyjne obliczanie wartoci Symbolu Newtona ( Java )
 * www.algorytm.org
 */
 
class Main
{
 
        public static long Newton( int n, int k )
        {
                long  Wynik = 1;       // Deklaracja zmiennych
                int i; 
                
                for(i = 1; i <= k; i++) // Od 1 do k wykonujemy : 
                {
                        Wynik = Wynik * ( n - i + 1 ) / i;      // Obliczanie ze wzoru iteracyjnego
                }
                
                return Wynik;   // Zwr Wynik
        }
 
        public static void main (String[] args) throws java.lang.Exception
        {
                Scanner scanner = new Scanner(System.in);
                
                int N = scanner.nextInt();
                int K = scanner.nextInt();
                
                if( K == 0 || K == N ) System.out.println("1"); // Jeeli N = 0 lub N = K to wypisz 1
                else System.out.println( Newton(N,K) );         // W przeciwnym wypadku oblicz warto symbolu
        }
}